Loading...
Searching...
No Matches
cereal_input_archive Interface Reference
Core » Concept

All input archives of the Cereal library satisfy this. More...

`#include <seqan3/core/concept/cereal.hpp>`

Inheritance diagram for cereal_input_archive:
[legend]

## Detailed Description

All input archives of the Cereal library satisfy this.

This includes cereal::BinaryInputArchive, cereal::PortableBinaryInputArchive, cereal::JSONInputArchive, and cereal::XMLInputArchive.

Attention
  The cereal library is an optional dependency of SeqAn, if it is not found no types satisfy this concept.

See also
  Concept

The documentation for this interface was generated from the following file:

- cereal.hpp

Hide me